## Class TClientSideValidationSummaryOptions

Description

TClientSideValidationSummaryOptions class.

Client-side validation summary events such as OnHideSummary and OnShowSummary can be modified through the TBaseValidator:: property of a validation summary.

The <tt>OnHideSummary</tt> event is raise when the validation summary requests to hide the messages.

The <tt>OnShowSummary</tt> event is raised when the validation summary requests to show the messages.

See the quickstart documentation for further details.

- since: 3.0
- version: $Id: TValidationSummary.php 1747 2007-03-06 19:45:45Z xue $
- author: Wei Zhuo <weizhuo[at]gmail[dot]com>

Located in /Web/UI/WebControls/TValidationSummary.php (line 408)

    TComponent
       |
       --TClientSideOptions
          |
          --TClientSideValidationSummaryOptions

Method Summary
string ensureFunction (string $javascript)
string getOnHideSummary ()
string getOnShowSummary ()
void setOnHideSummary (string $javascript)
void setOnShowSummary (string $javascript)
Methods
ensureFunction (line 455)

Ensure the string is a valid javascript function. If the string begins with "javascript:" valid javascript function is assumed, otherwise the code block is enclosed with "function(summary, validators){ }" block.

- return: javascript function code.
- access: protected

string ensureFunction (string $javascript)

- string $javascript: javascript code.

Redefinition of:

TClientSideOptions::ensureFunction()
  Ensure that the javascript statements are wrapped in a javascript function block as

      function(sender, parameter){ //code }

  .

getOnHideSummary (line 413)

- return: javascript code for client-side OnHideSummary event.
- access: public

string getOnHideSummary ()
getOnShowSummary (line 443)

- return: javascript code for client-side OnShowSummary event.
- access: public

string getOnShowSummary ()
setOnHideSummary (line 424)

Client-side OnHideSummary validation summary event is raise when all the validators are valid. This will override the default client-side validation summary behaviour.

- access: public

void setOnHideSummary (string $javascript)

- string $javascript: javascript code for client-side OnHideSummary event.

setOnShowSummary (line 435)

Client-side OnShowSummary event is raise when one or more validators are not valid. This will override the default client-side validation summary behaviour.

- access: public

void setOnShowSummary (string $javascript)

- string $javascript: javascript code for client-side OnShowSummary event.

#### Inherited Methods

Inherited From TClientSideOptions

> TClientSideOptions::__construct()
> TClientSideOptions::ensureFunction()
> TClientSideOptions::getOption()
> TClientSideOptions::getOptions()
> TClientSideOptions::setFunction()
> TClientSideOptions::setOption()

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:36:41 -0400 by phpDocumentor 1.3.0RC4